View Issue Details

IDProjectCategoryView StatusLast Update
0032030LazarusIDEpublic2017-12-31 01:30
ReporterJochenKauz Assigned ToMichl  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionduplicate 
PlatformWin32OSWindows 
Product Version1.8RC2 
Summary0032030: Click on ActiveX Control (VLC, and others) on a form leads to Access Violation
DescriptionPlacing an imported visual ocx control on an empty form leads to a crash of the IDE. Same happens on trunk (Lazarus 1.9, FPC 3.1.1).
Does not happen in stable release (Lazarus 1.6.4, FPC 3.02).
Steps To ReproduceImport Type Libray VideoLAN VLC ActiveX Plugin, compile and install in IDE.
Create new Project Application/Form and place the imported VideoLAN VLC component on it.
Tagsactivex
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0031541 resolvedFlorian FPC lazvlc package - Access Violation in control LCLVLCPlayer 
related to 0030838 resolvedMichael Van Canneyt FPC vlc components crashes IDE during design time 
related to 0032375 closedMichl Lazarus IDE crashes after putting a activex control on form 

Activities

JochenKauz

2017-06-17 22:28

reporter   ~0101206

Last edited: 2017-06-17 22:34

View 2 revisions

Tested Environments:
Windows 10 Pro 1703 64Bit
Windows 10 Pro 1703 32Bit
Windows 7 Pro SP1 64Bit

Tested 1.8.0RC2 Standardinstallation
Tested 1.8.0RC2 fpcupdeluxe compile
Tested 1.9.0 trunk fpcupdeluxe compile

It does not happen only to VLC components, other ActiveX crash too. Support of the IDE for ActiveX visual components is broken.

Michl

2017-12-31 01:30

developer   ~0105174

Resolved as duplicate. ActiveX should work after Lazarus revision 56886. VLC should be fixed in FPC trunk.

Issue History

Date Modified Username Field Change
2017-06-17 14:19 JochenKauz New Issue
2017-06-17 21:18 JochenKauz Tag Attached: activex
2017-06-17 22:19 Juha Manninen Relationship added related to 0031541
2017-06-17 22:20 Juha Manninen Relationship added related to 0030838
2017-06-17 22:28 JochenKauz Note Added: 0101206
2017-06-17 22:34 JochenKauz Note Edited: 0101206 View Revisions
2017-09-07 07:37 Michl Relationship added related to 0032375
2017-12-31 01:29 Michl Assigned To => Michl
2017-12-31 01:29 Michl Status new => assigned
2017-12-31 01:30 Michl LazTarget => -
2017-12-31 01:30 Michl Note Added: 0105174
2017-12-31 01:30 Michl Status assigned => resolved
2017-12-31 01:30 Michl Resolution open => duplicate